当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 11 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : [已解决][问题]编译audacious1.5.1导致audacious无法使用
帖子发表于 : 2008-08-15 10:38 
头像

注册: 2008-03-07 22:21
帖子: 111
地址: 哈工大
送出感谢: 0 次
接收感谢: 0 次
从audacious官网下的1.5.1包,编译提示libmcs版本过低,按提示下载libmcs0.7编译安装,编译完1.5.1后audacious就用不了了,shell输入audacious显示:
[TuplezCC]: Expected '{', got 'f' in 'f'.
[TuplezCC]: Compilation failed!
将audacious完全删除后重新安装依旧无法解决问题。


最后由 刘淑悯 编辑于 2008-08-17 13:24,总共编辑了 4 次

页首
 用户资料  
 
2 楼 
 文章标题 :
帖子发表于 : 2008-08-16 1:04 
头像

注册: 2008-07-14 22:42
帖子: 8078
地址: Beijing
送出感谢: 0 次
接收感谢: 0 次
LZ所说的完全删除是不是没有删除主目录下的.audacious :?
删除之后在装应该没问题
sudo aptitude install audacious :lol:


_________________
Ubuntu User


页首
 用户资料  
 
3 楼 
 文章标题 :
帖子发表于 : 2008-08-16 1:10 
头像

注册: 2008-06-30 12:18
帖子: 146
送出感谢: 0 次
接收感谢: 0 次
汗…你为什么要自己去编译一份呢?apt里面不是有吗?


_________________
http://www.paoto.com欢迎你…


页首
 用户资料  
 
4 楼 
 文章标题 :
帖子发表于 : 2008-08-16 7:40 
头像

注册: 2006-11-18 18:52
帖子: 450
送出感谢: 0 次
接收感谢: 0 次
yyhnxgf 写道:
汗…你为什么要自己去编译一份呢?apt里面不是有吗?

没的吧,apt的是1.5.0吧
那个libmcs0.7非常讨厌
好像是8.10的包


页首
 用户资料  
 
5 楼 
 文章标题 :
帖子发表于 : 2008-08-16 10:49 
头像

注册: 2008-06-30 12:18
帖子: 146
送出感谢: 0 次
接收感谢: 0 次
这个我到没怎么注意……


_________________
http://www.paoto.com欢迎你…


页首
 用户资料  
 
6 楼 
 文章标题 :
帖子发表于 : 2008-08-16 12:19 
头像

注册: 2008-03-07 22:21
帖子: 111
地址: 哈工大
送出感谢: 0 次
接收感谢: 0 次
想入非非 写道:
LZ所说的完全删除是不是没有删除主目录下的.audacious :?
删除之后在装应该没问题
sudo aptitude install audacious :lol:


用新立得完全删除后主目录里貌似已经没有.audacious文件夹了。


页首
 用户资料  
 
7 楼 
 文章标题 :
帖子发表于 : 2008-08-16 12:47 
头像

注册: 2008-03-07 22:21
帖子: 111
地址: 哈工大
送出感谢: 0 次
接收感谢: 0 次
又重装了一次audacious,运行显示:
amidi-plug(amidi-plug.c:amidiplug_init:97): init, read configuration
amidi-plug(i_backend.c:i_backend_load:107): loading backend '/usr/lib/audacious/Input/amidi-plug/ap-alsa.so'
amidi-plug(i_backend.c:i_backend_load:145): backend /usr/lib/audacious/Input/amidi-plug/ap-alsa.so (name 'alsa') successfully loaded
[TuplezCC]: Expected '{', got 'f' in 'f'.
[TuplezCC]: Compilation failed!


页首
 用户资料  
 
8 楼 
 文章标题 :
帖子发表于 : 2008-08-16 17:30 
头像

注册: 2008-07-14 22:42
帖子: 8078
地址: Beijing
送出感谢: 0 次
接收感谢: 0 次
用sudo audacious看看 :lol: ,不行的话自己在编译一次


_________________
Ubuntu User


页首
 用户资料  
 
9 楼 
 文章标题 :
帖子发表于 : 2008-08-17 8:39 
头像

注册: 2008-03-07 22:21
帖子: 111
地址: 哈工大
送出感谢: 0 次
接收感谢: 0 次
试了楼上的方法,sudo不行,su为超级用户,再audacious终于可以用了。显示一大堆英文:
** (audacious:6602): WARNING **: Failed to connect to the session manager: Authentication Rejected, reason : None of the authentication protocols specified are supported and host-based authentication failed

amidi-plug(amidi-plug.c:amidiplug_init:97): init, read configuration
amidi-plug(i_backend.c:i_backend_load:107): loading backend '/usr/lib/audacious/Input/amidi-plug/ap-alsa.so'
amidi-plug(i_backend.c:i_backend_load:145): backend /usr/lib/audacious/Input/amidi-plug/ap-alsa.so (name 'alsa') successfully loaded

** (audacious:6602): WARNING **: Unable to connect to dbus: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.
Loading simple Config module ...
Creating backend ...
desc table has been created.
No module named enchant
Loading socket FrontEnd module ...
Starting SCIM as daemon ...
desc table has been created.
No module named enchant

(audacious:6602): GLib-GObject-WARNING **: invalid (NULL) pointer instance

(audacious:6602): GLib-GObject-CRITICAL **: g_signal_emit_valist: assertion `G_TYPE_CHECK_INSTANCE (instance)' failed

(audacious:6602): GLib-GObject-WARNING **: invalid (NULL) pointer instance

(audacious:6602): GLib-GObject-CRITICAL **: g_signal_emit_valist: assertion `G_TYPE_CHECK_INSTANCE (instance)' failed

** (audacious:6602): WARNING **: OSD shutdown requested, but no osd object is loaded!


** (audacious:6602): WARNING **: event-device-plugin: unable to load config file evdev-plug.conf , default settings will be used.


(audacious:6602): GLib-GObject-WARNING **: invalid (NULL) pointer instance

(audacious:6602): GLib-GObject-CRITICAL **: g_signal_emit_valist: assertion `G_TYPE_CHECK_INSTANCE (instance)' failed

(audacious:6602): GLib-GObject-WARNING **: invalid (NULL) pointer instance

还有几个问题,我是用新立得安装的,为什么要用超级用户才能使用,以前不是这样的。另外该怎么改权限,我将/usr/bin/audacious的所有者和群组都改为个人,权限为777,还是不能用普通用户打开。最后/home里没有.audacious文件夹,正常吗?


页首
 用户资料  
 
10 楼 
 文章标题 :
帖子发表于 : 2008-08-17 12:51 
头像

注册: 2008-03-07 22:21
帖子: 111
地址: 哈工大
送出感谢: 0 次
接收感谢: 0 次
终于解决问题了!
原因还是没有完全删除配置文件,原来audacious的配置文件夹不是~/.audacious,而是~/.config/audacious。
彻底删除所有配置文件后重新编译,终于可以正常使用了。


页首
 用户资料  
 
11 楼 
 文章标题 :
帖子发表于 : 2008-08-17 15:46 
头像

注册: 2008-07-14 22:42
帖子: 8078
地址: Beijing
送出感谢: 0 次
接收感谢: 0 次
学习了,原来还有这个地方,没注意到 :?


_________________
Ubuntu User


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 11 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 4 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译